package data.scripts.world.systems;

import com.fs.starfarer.api.campaign.SectorAPI;
import com.fs.starfarer.api.campaign.SectorEntityToken;
import com.fs.starfarer.api.campaign.StarSystemAPI;

public class PenelopeAddon
{
    public void generate(SectorAPI sector)
    {
        StarSystemAPI pene = sector.getStarSystem("Penelope's Star");
        SectorEntityToken ngo_station4 = pene.addCustomEntity("ngo_station4", "Vili Station", "ngo_station4", "new_galactic_order");
        ngo_station4.setCircularOrbitPointingDown(pene.getEntityById("penelope"), 270.0F, 2690.0F, 75.0F);
        ngo_station4.setCustomDescriptionId("ngo_station4");
    }
}
